searchNodes=[{"doc":"Zabbix Sender Protocol clientExamplesvalue = ZabbixSender.Protocol.value(&quot;localhost&quot;, &quot;some_key&quot;, 12.3, :os.system_time(:second)) request = ZabbixSender.Protocol.encode_request([value], :os.system_time(:second)) |&gt; ZabbixSender.Serializer.serialize() with {:ok, response} &lt;- ZabbixSender.send(request, &quot;localhost&quot;, 10051), {:ok, deserialized} &lt;- ZabbixSender.Serializer.deserialize(response), {:ok, decoded} &lt;- ZabbixSender.Protocol.decode_response(deserialized) do if decoded.failed == 0 do Logger.info(&quot;\#{decoded.processed} values processed&quot;) else Logger.warn(&quot;\#{decoded.processed} values processed out of \#{decoded.total}&quot;) end end","ref":"ZabbixSender.html","title":"ZabbixSender","type":"module"},{"doc":"Sends binary message to zabbix trapper endpoint and receives response. Returns binary response or an error.Examplesiex&gt; ZabbixSender.send(&lt;&lt;&gt;&gt;, &quot;localhost&quot;, 12345) {:error, :econnrefused}","ref":"ZabbixSender.html#send/3","title":"ZabbixSender.send/3","type":"function"},{"doc":"Sends values collection to zabbix trapper endpoint and receives response. Returns deserialized response or an error.Examplesiex&gt; ZabbixSender.send_values([%{&quot;key&quot; =&gt; &quot;value&quot;}], 123412, &quot;localhost&quot;, 12345) {:error, :econnrefused}","ref":"ZabbixSender.html#send_values/4","title":"ZabbixSender.send_values/4","type":"function"},{"doc":"Zabbix LLD pusher server. Attempts to send LLD via Zabbix Sender ProtocolUsage def zabbix_config() do[host: &quot;zabbix.host&quot;, port: 1234, hostname: &quot;monitored.host&quot;] end def zabbix_llds() do[ some_trapper_key: for val &lt;- [1, 2] do %{ &quot;{#VAL}&quot; =&gt; &quot;\#{val}&quot;, } end, ] end children = [{ZabbixSender.LLDPusher, llds_provider: &amp;__MODULE__.zabbix_llds/0, config_provider: &amp;__MODULE__.zabbix_config/0} ]","ref":"ZabbixSender.LLDPusher.html","title":"ZabbixSender.LLDPusher","type":"module"},{"doc":"Returns a specification to start this module under a supervisor.See Supervisor.","ref":"ZabbixSender.LLDPusher.html#child_spec/1","title":"ZabbixSender.LLDPusher.child_spec/1","type":"function"},{"doc":"","ref":"ZabbixSender.LLDPusher.html#start_link/1","title":"ZabbixSender.LLDPusher.start_link/1","type":"function"},{"doc":"Helper module for creating Zabbix Sender Protocol messages and parsing responses","ref":"ZabbixSender.Protocol.html","title":"ZabbixSender.Protocol","type":"module"},{"doc":"Decodes zabbix sender data response.Examplesiex&gt; ZabbixSender.Protocol.decode_response(%{&quot;response&quot; =&gt; &quot;success&quot;, &quot;info&quot; =&gt; &quot;processed: 1; failed: 1; total: 2; seconds spent: 0.000055&quot;}) {:ok, %{failed: 1, processed: 1, seconds_spent: 5.5e-5, total: 2}} iex&gt; ZabbixSender.Protocol.decode_response(%{&quot;response&quot; =&gt; &quot;success&quot;, &quot;info&quot; =&gt; &quot;failed: 1; total: 2; seconds spent: 0.000055&quot;}) {:ok, %{failed: 1, processed: nil, seconds_spent: 5.5e-5, total: 2}} iex&gt; ZabbixSender.Protocol.decode_response(%{&quot;response&quot; =&gt; &quot;error&quot;}) {:error, :unexpected_response}","ref":"ZabbixSender.Protocol.html#decode_response/1","title":"ZabbixSender.Protocol.decode_response/1","type":"function"},{"doc":"Encodes zabbix sender data request.Examplesiex&gt; ZabbixSender.Protocol.encode_request([%{&quot;key&quot; =&gt; &quot;value&quot;}], 1570451084) %{clock: 1570451084, data: [%{&quot;key&quot; =&gt; &quot;value&quot;}], request: &quot;sender data&quot;}","ref":"ZabbixSender.Protocol.html#encode_request/2","title":"ZabbixSender.Protocol.encode_request/2","type":"function"},{"doc":"Builds zabbix value.Examplesiex&gt; ZabbixSender.Protocol.value(&quot;localhost&quot;, &quot;key&quot;, 1.23, 1570451084) %{clock: 1570451084, host: &quot;localhost&quot;, key: &quot;key&quot;, value: &quot;1.23&quot;} iex&gt; ZabbixSender.Protocol.value(&quot;localhost&quot;, &quot;key&quot;, 23, nil) %{host: &quot;localhost&quot;, key: &quot;key&quot;, value: &quot;23&quot;}","ref":"ZabbixSender.Protocol.html#value/4","title":"ZabbixSender.Protocol.value/4","type":"function"},{"doc":"Response from Zabbix Server","ref":"ZabbixSender.Protocol.html#t:response_t/0","title":"ZabbixSender.Protocol.response_t/0","type":"type"},{"doc":"Helper module for binary serialization with Zabbix Sender Protocol","ref":"ZabbixSender.Serializer.html","title":"ZabbixSender.Serializer","type":"module"},{"doc":"Deserializes zabbix sender binary message to elixir data.Examplesiex&gt; ZabbixSender.Serializer.deserialize(&lt;&lt;&quot;ZBXD\\x01&quot;::binary, 2::little-integer-size(64), &quot;{}&quot;::binary&gt;&gt;) {:ok, %{}} iex&gt; ZabbixSender.Serializer.deserialize(&lt;&lt;&quot;ZBX\\x01&quot;::binary, 1::little-integer-size(64), &quot;{}&quot;::binary&gt;&gt;) {:error, :invalid_format} iex&gt; ZabbixSender.Serializer.deserialize(&lt;&lt;&gt;&gt;) {:error, :invalid_format} iex&gt; ZabbixSender.Serializer.deserialize(&lt;&lt;&quot;ZBXD\\x02&quot;::binary, 2::little-integer-size(64), &quot;{}&quot;::binary&gt;&gt;) {:error, :unsupported_version} iex&gt; ZabbixSender.Serializer.deserialize(&lt;&lt;&quot;ZBXD\\x01&quot;::binary, 2::little-integer-size(64), &quot;{&quot;::binary&gt;&gt;) {:error, :invalid_format} iex&gt; ZabbixSender.Serializer.deserialize(&lt;&lt;&quot;ZBXD\\x01&quot;::binary, 1::little-integer-size(64), &quot;{}&quot;::binary&gt;&gt;) {:error, :invalid_format} iex&gt; ZabbixSender.Serializer.deserialize(&lt;&lt;&quot;ZBXD\\x01&quot;::binary, 2::little-integer-size(64), &quot;{w&quot;::binary&gt;&gt;) {:error, %Jason.DecodeError{data: &quot;{w&quot;, position: 1, token: nil}}","ref":"ZabbixSender.Serializer.html#deserialize/1","title":"ZabbixSender.Serializer.deserialize/1","type":"function"},{"doc":"Serializes message to zabbix sender binary format.Examplesiex&gt; ZabbixSender.Serializer.serialize(%{}) &lt;&lt;&quot;ZBXD\\x01&quot;::binary, 2::little-integer-size(64), &quot;{}&quot;::binary&gt;&gt;","ref":"ZabbixSender.Serializer.html#serialize/1","title":"ZabbixSender.Serializer.serialize/1","type":"function"},{"doc":"ZabbixSenderZabbix Sender Protocol client. Compatible with Zabbix 4.0This library implements a simple TCP client as well as helper functions for encoding and decoding protocol messages.","ref":"readme.html","title":"ZabbixSender","type":"extras"},{"doc":"The package can be installed by adding zabbix_sender to your list of dependencies in mix.exs:def deps do [ {:zabbix_sender, &quot;~&gt; 1.0.0&quot;} ] end","ref":"readme.html#installation","title":"ZabbixSender - Installation","type":"extras"},{"doc":"Use functions from ZabbixSender.Protocol for building requests and decoding responses. Use ZabbixSender.Serializer for writting and reading binary messages. ZabbixSender.send\\3 will open connection, send request receive a response and then close the connection as the server won't allow it remain open.Examplevalue = ZabbixSender.Protocol.value(&quot;localhost&quot;, &quot;some_key&quot;, 12.3, :os.system_time(:second)) request = ZabbixSender.Protocol.encode_request([value], :os.system_time(:second)) |&gt; ZabbixSender.Serializer.serialize() with {:ok, response} &lt;- ZabbixSender.send(request, &quot;localhost&quot;, 10051), {:ok, deserialized} &lt;- ZabbixSender.Serializer.deserialize(response), {:ok, decoded} &lt;- ZabbixSender.Protocol.decode_response(deserialized) do if decoded.failed == 0 do Logger.info(&quot;\#{decoded.processed} values processed&quot;) else Logger.warn(&quot;\#{decoded.processed} values processed out of \#{decoded.total}&quot;) end end","ref":"readme.html#usage","title":"ZabbixSender - Usage","type":"extras"},{"doc":"Currently TLS encryption (both PSK and RSA) is not supported and there are no plans for it. A PR would be welcome though.","ref":"readme.html#known-issues","title":"ZabbixSender - Known issues","type":"extras"},{"doc":"Docs can be found at https://hexdocs.pm/zabbix_sender.","ref":"readme.html#documentation","title":"ZabbixSender - Documentation","type":"extras"},{"doc":"ZabbixSender source code is released under MIT License. Check LICENSE file for more information.","ref":"readme.html#license","title":"ZabbixSender - License","type":"extras"}]